pid_alive
Prev | Delaying, scheduling, and timer routines | Next

## Name

pid_alive — check that a task structure is not stale

## Synopsis

`int pid_alive (` | struct task_struct * | p`)`;

## Arguments

`p`

  Task structure to be checked.

## Description

Test if a process is not yet dead (at most zombie state) If pid_alive fails, then pointers within the task structure can be stale and must not be dereferenced.

Prev | Up | Next
Delaying, scheduling, and timer routines | Home | is_global_init